# &konsolekalendar;-håndbogen

Tuukka
Pasanen

    illuusio@mailcity.com

Allen
Winter

    awinterz@users.sourceforge.net

Malcolm
Hunter

    malcolm.hunter@gmx.co.uk

Tester
&erik.kjaer.pedersen.role;
2002
2003
Tuukka Pasanen
2003
Allen Winter
&FDLNotice;
2003-11-28
1.0.0

&konsolekalendar; er en kommandolinjegrænseflade for &kde;'s kalender.

KDE
&package;
&kappname;
KOrganizer

## Indledning

&konsolekalendar; er en kommandolinjegrænseflade for &kde;'s kalender. Den lader dig vise, indsætte, fjerne eller ændre kalenderbegivenheder via kommandolinjen eller fra et scriptsprog. Desuden kan &konsolekalendar; lave en ny &kde;-kalender, eksportere en &kde;-kalender til forskellige slags andre formater, og importere en anden &kde;-kalender.

I sin basale tilstand viser &konsolekalendar; listen af begivenheder i standardkalenderen for den aktuelle dato (fra 7:00 til 17:00).

Hovedfunktioner i &konsolekalendar;:

- Vis kalenderindgange fra en startdato og -tid til en slutdato og -tid

- Indsæt (tilføj) kalenderindgange

- Fjern (slet) kalenderindgange

- Modificér (ændr) kalenderindgange

- Lav en ny kalender

- Eksportér kalenderindgange til andre filformater

- Importér en eksisterende &kde;-kalender.

&konsolekalendar; er ikke en anden grafisk grænseflade for en &kde;-kalender (&ie; &korganizer;) &konsolekalendar; er kun beregnet til brug hvor en grafisk brugergrænseflade ikke er praktisk eller mulig.

&konsolekalendar; sørger ikke for et fuldstændigt sprog til at lave forespørgsler om brugerens kalender, det er heller ikke forfatternes hensigt nogensinde at tilføje en sådan mulighed. Enkle kommandolinjeflag findes der giver adgang til kalenderbegivenheder i et dato- og tidsinterval.

## Egenskaber

I dette kapitel lærer du om de hovedfunktionerne i &konsolekalendar;, og hvordan de kontrolleres med parametre du kan angive på kommandolinjen (husk at &konsolekalendar; ikke har en grafisk brugergrænseflade; det er kun et kommandolinjeprogram).

Du vil lære også om at indsætte, slette og ændre kalenderbegivenheder, og hvordan begivenheder eksporteres til andre filformater. Oprettelse og import af &kde;-kalendere vil også blive dækket i dette kapitel.

### Vis begivenheder

I normaltilstand, eller ved at bruge flaget `--view`, vil &konsolekalendar; give en liste af begivenheder i et angivet dato- og tidsinterval.

For at se alle dagens begivenheder (fra 7:00 til 17:00), køres simpelthen:

    % konsolekalendar

I det næste eksempel, ser vi en liste af begivenheder for ugen fra 18. til 22. august:

    % konsolekalendar --view --date 2003-08-18  --end-date 2003-08-22

### Indsæt begivenheder

&konsolekalendar; kan indsætte begivenheder i en &kde;-kalender eller kalenderressource med kommandolinjeflaget `--add`.

I det følgende eksempel indsættes en begivenhed som begynder 2003-06-04 (4. juni, 2003) klokken 10:00 og slutter klokken 12:00 med sammendraget "Lægebesøg" i brugerens standardkalenderressource:

    % konsolekalendar --add --date 2003-06-04 --time 10:00 \
    --end-time 12:00 --summary "Doctor Visit"

I dette eksempel tilføjes en fødselsdag til brugerens standardkalenderressource:

    % konsolekalendar --add --date 2003-06-06 --summary "My Birthday" \
    --description "Party Time"

Denne udgave af &konsolekalendar; understøtter ikke indsætning af frie begivenheder (frie begivenheder er begivenheder der ikke optager noget plads i dagen &ie;, tidspunktet bliver ikke markeret som optaget). Fødselsdage, feriedage, årsdage, &etc; skulle ideelt set indsættes som frie bgivenheder. Vi håber at i næste udgave af &konsolekalendar; der vil være en fri begivenhedsfunktion.

Her indsættes en uges ferie i en delt ferie-kalender:

    % konsolekalendar --add --file vacation.ics --date 2003-08-01 \
    --end-date 2003-08-07 --summary "Ferie" --description "Ingen vil nogensinde finde mig!"

### Fjern indgange

&konsolekalendar; understøtter fjernelse af indgange i en kalenderfil eller ressource ved brug af `--delete` kommandlinjeargument. Kalenderindgange der skal fjernes bliver angivet ved deres entydige strengidentifikator (UID) ved brug af `--uid` flaget. UID'er findes ved først at kigge på begivenehden, ved brug af `--view` flaget.

Når du sletter noget fra en kalender kan du ikke fortryde det! Med andre ord, når du sletter en indgang kan du ikke reversere sletningen. Den er væk for evigt.

Her sletter vi en kalenderindgang med UID &konsolekalendar;-1887551750.196:

    % konsolekalendar --delete --uid &konsolekalendar;-1887551750.196

### Ændr indgange

&konsolekalendar; understøtter ændring af eksisterende indgange i en kalenderfil eller ressource ved brug af `--change` kommandolinjeargumentet. Kalenderindgange der skal ændres angives ved deres entydige strengidentifikator (UID) ved brug af `--uid` flaget. UID'er findes ved først at se begivenheden ved brug af `--view` flaget.

Ændringer opfører sig på samme måde som indsætning: du kan ændre begivenhedens startdato og tid, slutdato og tid, beskrivelse og sammendrag.

Eksempel: Her ændrer vi sammendraget og beskrivelsen af en kalenderindgang med UID &konsolekalendar;-1887551750.196:

%``konsolekalendar` `--change` `--uid &konsolekalendar;-1887551750.196` `--summary "Få mit hovede undersøgt"` `--description "gå ikke til den læge igen!"``

### Oprettelse af en ny kalenderfil

&konsolekalendar; kan bruges til at lave en ny &kde;-kalenderfil. Da du ikke kan indsætte en indgang i en kalender der ikke eksisterer, må du først lave filen ved brug af `--create` og `--file` kommandolinjeargumenterne.

Opret en kalenderfil ved navn `/data/share/calendars/vacation.ics`:

    % konsolekalendar --create --file /data/share/calendars/vacation.ics

### Eksport til andre formater

&konsolekalendar; kan eksportere en &kde;-kalender til andre velkendte formater. Eksport er en speciel form for visning. Som standard, vises begivenheder i &konsolekalendar; tekst-format. For at ændre visningsformater bruges `--export-type` kommandolinjeargumenter.

For at se en liste af alle understøttede eksportformater, bruges `--export-list` flaget som i:

    % konsolekalendar --export-list

### Eksportformater

Nogle, men ikke nødvendigvis alle, de understøttede formater er beskrevet i dette afsnit.

#### &konsolekalendar; tekstformat

&konsolekalendar; Tekstformat er &konsolekalendar;'s indfødte format og er designet til at være behageligt at læse til at kunne tolkes af opfølgningsscripter.

&konsolekalendar;'s tekstformat er:

    Dato og tidsinformation:
    1. række Dato:        ÅÅÅÅ-MM-DD
    2. række                 TT:MM
    Sammendrag:
    3. række Sammendrag:
    4. række                 Sammendragstekst.
    Beskrivelse:
    5. række Beskrivelse:
    6. række                Beskrivelsestekst
    UID:
    7. række UID:
    8. række                 UID.

    Dato:   2003-11-01
            8:00 - 9:00
    Sammendrag:
            Møde med chefen
    Beskrivelse:
            Alle ansatte mødes med chefen i det store konferencerum.
    UID:
            &konsolekalendar;-1128954167.1013

#### Komma-adskilte værdier (CSV) format

Komma-adskilte værdier formatet viser begivenhedernes værdier i samme rækkefølge som &konsolekalendar;'s tekstformat. Den eneste forskel er at al informationen er på samme række med hvert felt adskilt af et komma. De resulterende eksporterede filer kan importeres direkte til regnearkprogrammer såsom &kspread;, OpenOffice.org Calc, og &Microsoft; Excel. CSV-formatet er også nemt at tolke med opfølgningsscripter.

Komma-adskilt værdi (CSV) formatet er:

    ÅÅÅÅ-MM-DD,TT:MM,ÅÅÅÅ-MM-DD,HH:MM,Sammendrag,Beskrivelse,UID

    2003-11-01,08:00,2003-11-01,09:00,Møde med chefen,Alle ansatte mødes \
    med chefen i det store konferencerum.,&konsolekalendar;-1128954167.1013

#### HTML-formatet

HTML eksportformatet vil producere en gyldig HTML-fil der kan publiceres til WWW. Dette eksportformat er ikke passende for tolkning af opfølgningsscripter, men er meget godt til at publicere kalendere for nem offentlig læsning.

TODO: Indsæt skærmaftryk her

### Importér kalendere

&konsolekalendar; kan importere en ICS kalenderfil til en &kde; kalender. Alle begivenheder fra kalender der bliver importeret fra vil blive indsat, inklusive identiske begivenheder. I næste udgave af &konsolekalendar; vil identiske begivenheder ikke blive indsat.

For at importere kalenderfilen `enanden.ics` i kalenderen `denne.ics` køres:

    % konsolekalendar --import enanden.ics --file denne.ics

## Kommandolinjeargumenter

&konsolekalendar; understøtter følgende valg:

Tilvalg | Beskrivelse
--- | ---
`--help, --help-all` | Viser hjælp om programmets valg.
`--author` | Viser information om programmets forfattere.
`-v, --version` | Viser programmets versionsinformation.
`--license` | Viser programmets licensinformation.
`--verbose` | Udskriver hjælpsomme meddelelser under kørsel.
`--dryrun` | Udskriv hvad som ville være sket, men gør det ikke. Ændrer ingen filer: indsætter, fjerner eller ændrer ingen eksisterende filer, eller laver nogen nye filer.
`--file` kalenderfil | Angiv en kalenderfil at bruge. Hvis andet ikke er angivet bruuges &korganizer;'s standardressource.
Større virkningstilstande:
`--view` | Udskriv kalenderbegivenheder i angivet eksportformat.
`--add` | Indsæt en begivenhed i kalenderen.
`--change` | Ændr en eksisterende begivenhed i kalenderen.
`--delete` | Fjern en eksisterende begivenhed i kalenderen.
`--create` | Opret en ny kalenderfil hvis den ikke findes.
`--import` importfil | Importér kalenderen i hovedkalenderen.
Operationsændrerer:
`--all` | Vis alle kalenderindgange.
`--uid` UID | Vis, slet eller ændr begivenheden med denne entydige strengidentifikator.
`--date` dato | Begynd med dagen [ÅÅÅÅ-MM-DD]. Standardværdi er dagens dato.
`--time` | Begynd med tiden [TT:MM]. Standardværdi er 07:00.
`--end-date` slutdato | Slut på dagen [ÅÅÅÅ-MM-DD]. Standardværdi angives af `--date`.
`--end-time` sluttid | Slut på tidspunktet [TT:MM]. Standardværdi er 17:00.
`--epoch-start` epoke-start | Start fra dette tidspunkt [sekunder efter epoken].
`--epoch-end` epoke-tid | Slut på dette tidspunkt [sekunder efter epoken].
`--summary` sammenfatning | Tilføj sammenfatning til begivenhed (virker ved tilføj og ændring).
`--description` beskrivelse | Tilføj beskrivelse af begivenhed (virker ved tilføj og ændring).
Eksport-tilvalg:
`--export-type` eksporttype | Eksportér filtypen. Standardfiltype for eksport er tekst.
`--export-file` eksportfil | Eksportér til fil. Normalt skrives uddata til standardudskriften.
`--export-list` | Udskriv liste med eksporttyper som understøttes og slut af.

## Spørgsmål og svar

&reporting.bugs; &updating.documentation;

Hvilke indstillingsfiler anvender &konsolekalendar;?

Ingen.

Hvad er programnavnet for &konsolekalendar;?

&konsolekalendar;s programnavn er konsolekalendar.

Hvad er datospecifikationsformatet?

&konsolekalendar; vil afslå datoer angivet på kommandolinjen med mindre de er angivet i følge ISO 8601 standarder, nemlig: ÅÅÅÅ-MM-DD. Hvor ÅÅÅÅ repræsenterer året med fire cifre (såsom 2003), MM repræsenterer måneden med to cifre (01,02,..,12), og DD repræsenterer dagen med to cifre (01,02,...,31).

&konsolekalendar; eksporterer altid datoer i ISO 8601 formatet.

Hvad er tidsspecifikationsformatet?

&konsolekalendar; vil afslå tidspunkter angivet på kommandolinjen med mindre de er angivet i følge ISO 8601 standarder, nemlig: TT:MM:SS. Hvor TT repræsenterer timer med to cifre (01,02,...24), MM repræsenterer minutter med to cifre (01,02,..,60), og SS repræsenterer sekunder med to cifre (01,02,...,60).

&konsolekalendar; eksporterer altid tider i ISO 8601 formatet.

Vil &konsolekalendar; indsætte en ny begivenhed der er identisk med en der allerede eksisterer i kalenderen?

Nej. Se næste spørgsmål.

Hvordan afgør &konsolekalendar; om en begivenhed er identisk med en der allerede eksisterer i kalenderen?

&konsolekalendar; tjekker den angiven startdato og tidspunkt, slutdato og tidspunkt, og sammndrag mod alle begivenheder i kalenderen. En begivenhed matcher hvis alle tre værdier er de samme som en eksisterende begivenhed.

Hvordan får jeg mit spørgsmål tilføjet til denne OSS?

Send dine spørgsmål til illuusio@lycos.com.

## Medvirkende og licens

&konsolekalendar; Program ophavsret 2002,2003:

- Tuukka Pasanen illuusio@mailcity.com

- Allen Winter awinterz@users.sourceforge.net

Dokumentation ophavsret 2003:

- Allen Winter awinterz@users.sourceforge.net

- Tuukka Pasanenilluusio@mailcity.com

&erik.kjaer.pedersen.credit; &underFDL; &underGPL;

## Installation

### Hvordan får man fat på &konsolekalendar;

&install.intro.documentation;

&konsolekalendar; levereres sammen med &kde; 3, og er ikke separat tilgængeligt.

### Krav

&konsolekalendar; kræver at &kde;:s standardbibliotek er installeret (pakken `kdelibs`). For at kompilere fra kildekode, behøver du også &Qt; og `kdelibs` udviklingspakke.

Du finder en liste over ændringer i filen `ChangeLog`.

### Kompilering og installation

Dette afsnit giver et hurtigt overblik af byggeprocessen. Læs venligst Kompilering af &kde; 3.2.x for fuldstændige instruktioner.

Hvis du ikke kan skaffe en passende forkompilerat binærpakke, skal du kompilere &konsolekalendar; selv fra kildekode. Hent kildekodefilen `kdepim-x.x.tar.bz2`. Pak den ud i en ny mappe med en kommando noget i retning af ``tar` `xvfj pakke.tar.bz2``, og gå til mappen som er blevet lavet.

&install.compile.documentation;

Hvis du har mere end en version af &kde; installeret (f.eks. &kde; 2 og &kde; 3), kan &konsolekalendar; muligvis installeres i forkert &kde;-mappe. Hvis det behøves, kan du angive &kde;-mappen som et flag til ``./configure``. For eksempel, hvis &kde; er installeret i `/opt/kde3`:

``./configure` --prefix=/opt/kde3`

### Indstilling

Ingen særlige indstillinger kræves for at få &konsolekalendar; til at køre i &kde;'s skrivebordsmiljø.

&documentation.index;